apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisComponent"
metadata:
  name: "ob-fido2"
  namespace: "adn-agov-nevisidm-ob-01-uat"
  labels:
    deploymentTarget: "ob-fido2"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-WORK-OB-PROJECT"
    patternId: "a2d03bb46b87b90160dc83d7"
spec:
  type: "NevisFIDO"
  replicas: 1
  version: "8.2405.2"
  gitInitVersion: "1.3.0"
  runAsNonRoot: true
  ports:
    management: 9089
    https: 9443
  resources:
    limits:
      cpu: "1000m"
      memory: "1000Mi"
    requests:
      cpu: "100m"
      memory: "700Mi"
  livenessProbe:
    management:
      httpGet:
        path: "/nevisfido/liveness"
      periodSeconds: 5
      timeoutSeconds: 6
  readinessProbe:
    management:
      httpGet:
        path: "/nevisfido/health"
      periodSeconds: 5
      timeoutSeconds: 6
  startupProbe:
    management:
      httpGet:
        path: "/nevisfido/health"
      periodSeconds: 5
      timeoutSeconds: 6
      failureThreshold: 50
  podDisruptionBudget:
    maxUnavailable: "50%"
  git:
    tag: "r-4ca04318607e00fd7e20deea04cfe223be585424"
    dir: "DEFAULT-ADN-AGOV-WORK-OB-PROJECT/DEFAULT-DEFAULT-ADN-AGOV-OB-INV/ob-fido2"
    credentials: "git-credentials"
  keystores:
  - "ob-fido2-default-identity"
  truststores:
  - "ob-fido2-agov-work-internal-trust-store"
  - "ob-fido2-default-tls-client-trust"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
